<div class="page-header">
	<ol class="breadcrumb">
		<li class="breadcrumb-item"><a href="<%= dashboard_path %>"><%= t("views.right_panel.button.home") %></a></li>
		<li class="breadcrumb-item active"><%= t("views.right_panel.detail.void_sale_report") %></li>
		<span class="float-right">
			<%= link_to 'Back', dashboard_path %>
		</span>
	</ol>
</div>
<div class="row">
	<div class="col-md-12">
		<!-- <div class="container"> -->
		<%= render :partial=>'shift_sale_report_filter',
		:locals=>{ 	:period_type => true, :shift_name => true, :report_path =>reports_void_sale_index_path} %>
		<hr />
		<!-- </div> -->

		<!-- <div class="container"> -->
		<!-- <div class="row"> -->
		<div class="col-md-12 text-right">
			<a href="javascript:export_to('<%=reports_void_sale_index_path%>.xls')" class = "btn btn-info wave-effects"><%= t("views.btn.exp_to_excel") %></a>
		</div>	  			
		<!-- </div> -->
		<!-- </div>  -->

		<div class="margin-top-20">
			<div class="card">
				<% if @sale_data.count > 0 %>
				<table class="table table-striped" border="0">
					<thead>
						<% if !params[:from].blank?%>
						<tr>
							<th colspan="7"><%= t("views.right_panel.detail.from_date") %> : <%= params[:from]  rescue '-'%>	,	<%= t("views.right_panel.detail.to_date") %> : <%= params[:to]  rescue '-'%></th>
						</tr>
						<% end %>
						<% if @shift_from %>
						<tr>
							<% if @shift %>		
							<% cashier_name = !@shift.nil? ? @shift[0].employee.name : '-' %>
							<% end %>	
							<th colspan="3"><%= t("views.right_panel.detail.shift_name") %> =  <%= @shift_from  rescue '-'%> - <%= @shift_to  rescue '-'%> ( <%= cashier_name  rescue '-'%> )</th>
						</tr>
						<% end %>		  
						<tr>
							<th><%= t("views.right_panel.detail.receipt_no") %></th>
							<th><%= t("views.right_panel.detail.sale_date") %></th>
							<th><%= t("views.right_panel.detail.total") %> <%= t("views.right_panel.detail.amount") %></th>
							<th><%= t("views.right_panel.detail.grand_total") %></th>
							<th><%= t("views.right_panel.detail.rnd_adj_sh") %></th>
							<th><%= t("views.right_panel.detail.grand_total") %> + <br/><%= t("views.right_panel.detail.rnd_adj_sh") %></th>			
							<!-- <th>Sale Status</th> -->
						</tr>
					</thead>
					<tbody>
						<% total_amount = 0.0 %>
						<% grand_total = 0.0 %>
						<% rounding_adjustment = 0.0 %>
						<% grand_rounding_adjustment = 0.0 %>
						<% @sale_data.each do |result| %>
						<% result[:items].each do |item| %>
						<tr>
							<td><%= item.receipt_no rescue '-' %> </td>
							<td><%= item.receipt_date.utc.getlocal.strftime("%e %b %I:%M%p") rescue '-' %></td>
							<td><%= item.total_amount.to_f  rescue '-'%> </td>
							<td><%= item.grand_total.to_f  rescue '-'%> </td>
							<td><%= item.rounding_adjustment.to_f rescue '-' %></td>
							<td><%= item.grand_total.to_f + item.rounding_adjustment.to_f  rescue '-'%> </td>								
							<!-- <td><%= result.sales_status rescue '-' %> </td> -->
							<!-- <td><%= item.remarks rescue '-' %> </td> -->
						</tr>
						<% total_amount = total_amount.to_f + item.total_amount.to_f %>
						<% grand_total = grand_total.to_f + item.grand_total.to_f %>
						<% rounding_adjustment = rounding_adjustment.to_f + item.rounding_adjustment.to_f %>
						<% grand_rounding_adjustment = grand_rounding_adjustment.to_f + item.grand_total.to_f + item.rounding_adjustment.to_f %>
						<% end %>
						<% end %>
						<tr style="border-top:4px double #666;font-weight:600;">
							<td colspan="2" style="text-align:center;">Total Void Amount :</td>
							<td><%= total_amount rescue '-' %></td>
							<td><%= grand_total rescue '-' %></td>
							<td><%= rounding_adjustment  rescue '-'%></td>
							<td colspan="3"><%= grand_rounding_adjustment  rescue '-'%></td>
						</tr>
					</tbody>
				</table>
				<% end %>
			</div>
		</div>

<script>
    $(function(){
		var check_arr = [];
		search_by_period();
		$('#sel_period').change(function(){
			search_by_period();
		});

		function search_by_period(){
			var period = $('#sel_period').val();
			var period_type = 0;
			var from = "";
			var to = "";

			show_shift_name(period,period_type,from,to,'shift_item');	
		}   

		// OK button is clicked
		$('#from').bootstrapMaterialDatePicker().on('beforeChange', function(e, date){
			new_date = new Date(date) ;
			month    = parseInt(new_date.getMonth()+1)
			from = new_date.getDate() + "-" + month + "-" + new_date.getFullYear();
			$('#from').val(from)
			search_by_date();
		});
		$('#to').bootstrapMaterialDatePicker().on('beforeChange', function(e, date){
			new_date = new Date(date) ;
			month    = parseInt(new_date.getMonth()+1)
			to = new_date.getDate() + "-" + month + "-" + new_date.getFullYear();
			$('#to').val(to)
			search_by_date();
		});  

		function search_by_date(){
			from = $("#from").val();
	  		to   = $("#to").val();
			var period = 0;
			var period_type = 1;	   

			if(to != '' && from != ''){
				shift_name = from + ',' + to;

				check_arr.push(to);

				console.log(check_arr.length)
				if(check_arr.length == 1){
					show_shift_name(period,period_type,from,to,'shift_item');	   	
				}
				if(check_arr.length == 3){
					check_arr = [];
				}
			}

		}

		function show_shift_name(period,period_type,from,to,shift_item){
			var shift = $('#shift_name');
			if (from == '' && to == '') {
				from = $("#from").val();
	  		    to   = $("#to").val();
			}
			shift.empty();

			var str = '';
			var param_shift = '';	   
			var param_shift = '<%= params[:shift_name] rescue '-'%>';

			url = '<%= reports_get_shift_by_date_path %>';

			$.get(url, {period :period, period_type :period_type, from :from, to :to, report_type :shift_item} , function(data){

				str = '<option value="0">--- All Shift ---</option>';
				$(data.message).each(function(index){	

					var local_date = data.message[index].local_opening_date + ' - ' + data.message[index].local_closing_date;
					var sh_date = data.message[index].opening_date + ' - ' + data.message[index].closing_date;
					var shift_id = data.message[index].shift_id ;
					if(param_shift != ''){
						if(shift_id == param_shift){
							selected = 'selected = "selected"';
						}
						else{
							selected = '';			   
						}			   	
					}else{
						selected = '';			   
					}		   			   
					str += '<option value="'+ shift_id +'" '+ selected +'>' + local_date + '</option>';

			   // console.log(sh_date)
			}) 
				shift.append(str);
			});
		}

	});
</script>